/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: State.java 464373 2006-10-16 04:21:54Z rahul $
 */

package org.apache.shale.examples.mailreader;

import org.apache.struts.apps.mailreader.dao.User;


/**
 * <p>In the absence of a <code>DialogController</code>, provide some
 * properties that can be used to save our state information.</p>
 */

public class State {
    
    
    // -------------------------------------------------------------- Properties

    /**
     * <p>Host name used to select which subscription to process.</p>
     */
    private String host = null;

    /**
     * @return Returns the host.
     */
    public String getHost() {
        return this.host;
    }

    /**
     * @param host The host to set.
     */
    public void setHost(String host) {
        this.host = host;
    }


    /**
     * <p>Transaction processing mode.</p>
     */
    private String mode = null;

    /**
     * @return Returns the mode.
     */
    public String getMode() {
        return this.mode;
    }

    /**
     * @param mode The mode to set.
     */
    public void setMode(String mode) {
        this.mode = mode;
    }


    /**
     * <p>The currently logged on <code>User</code>.</p>
     */
    private User user = null;

    /**
     * @return Returns the user.
     */
    public User getUser() {
        return this.user;
    }

    /**
     * @param user The user to set.
     */
    public void setUser(User user) {
        this.user = user;
    }


}
